%def_disable static

Name: libmbca
Version: 0.0.4
Release: alt1

Summary: Mobile Broadband Configuration Assistant Library
License: GPLv3
Group: System/Libraries
Url: http://svn.gnome.org/viewvc/libmbca/

Packager: Yuri N. Sedunov <aris@altlinux.ru>

# http://svn.gnome.org/viewvc/libmbca/
Source: %name-%version.tar.bz2

Requires: mobile-broadband-provider-info

BuildPreReq: mobile-broadband-provider-info
# Automatically added by buildreq on Thu Sep 04 2008
BuildRequires: gcc-c++ libdbus-glib-devel libgio-devel libgweather-devel libhal-devel libstdc++-devel-static libxml2-devel

%description
%name provides Mobile Broadband Configuration Assistant which is a
GObject and GtkAssistant based utility that splits the configuration of
a new mobile broadband connection into small easy steps. In the simplest
form libmbca offers an frontend for mobile-broadband-provider-info.

%package devel
Summary: Development environment for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains development files required
in development of the %name-based applications.

%package devel-static
Summary: Static %name library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains static library required for development statically
linked %name-based applications.

%package utils
Summary: Utilities for %name
Group: Sound
Requires: %name = %version-%release

%description utils
This package contains utilities for %name.

%prep
%setup -q

%build
%configure \
    %{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%find_lang %name

%files -f %name.lang
%_libdir/*.so.*
%_datadir/%name
%doc AUTHORS README NEWS ChangeLog

%files devel
%_includedir/%name
%_libdir/*.so
%_pkgconfigdir/*.pc

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Tue Jan 27 2009 Yuri N. Sedunov <aris@altlinux.org> 0.0.4-alt1
- new version
- removed obsolete %%post{,un}_ldconfig

* Thu Sep 04 2008 Yuri N. Sedunov <aris@altlinux.org> 0.0.2-alt1
- first build for Sisyphus.

